# Expedia Hotel Price API

is API will help you collect data specifically from ***Expedia.com*** only. Each request to this API will cost **`2`** credit.&#x20;

### Parameters

| Parameter                                                       | Description                                                      |
| --------------------------------------------------------------- | ---------------------------------------------------------------- |
| <p>api\_key<br><br><mark style="color:red;">required</mark></p> | Your personal API key.                                           |
| <p>hotelid<br><br><mark style="color:red;">required</mark></p>  | This is the unique hotel ID used by Expedia.com.                 |
| <p>adults<br><br><mark style="color:red;">required</mark></p>   | It is the number of adults. The minimum value should be **`1`**. |
| <p>rooms<br><mark style="color:red;">required</mark></p>        | It is the number of rooms.                                       |
| <p>checkin<br><br><mark style="color:red;">required</mark></p>  | <p>It is the check-in date.<br><br>Format - YYYY-MM-DD</p>       |
| <p>checkout<br><br><mark style="color:red;">required</mark></p> | <p>It is the check-out date.<br><br>Format - YYYY-MM-DD</p>      |
| <p>kids<br><br><mark style="color:red;">required</mark></p>     | It is the number of kids. The minimum value can be **`0`**.      |
| <p>currency<br><br><mark style="color:red;">required</mark></p> | It could be any currency like USD, INR, EUR, etc.                |

### API Example

{% tabs %}
{% tab title="cURL" %}

```markup
curl "https://api.makcorps.com/expedia?hotelid=1450057&currency=USD&rooms=1&adults=2&checkin=2025-12-10&checkout=2025-12-11&api_key=6576a85d9796563d73e34228401"
```

{% endtab %}

{% tab title="Python" %}

```python
import requests

url = "https://api.makcorps.com/expedia"
params = {
    "hotelid": "1450057",
    "checkin": "2025-12-05",
    "checkout": "2025-12-11",
    "currency": "USD",
    "adults": 2,
    "rooms": 1,
    "api_key": "6576a85d9796563d73e34228401"
}

response = requests.get(url, params=params)

if response.status_code == 200:
    print(response.json())
else:
    print(f"Request failed with status code {response.status_code}")

```

{% endtab %}

{% tab title="Nodejs" %}

```javascript
const axios = require('axios');

const url = "https://api.makcorps.com/expedia";
const params = {
    hotelid: "1450057",
    checkin: "2024-12-05",
    checkout: "2024-12-11",
    currency: "USD",
    adults: 2,
    rooms: 1,
    api_key: "6576a85d9796563d73e34228401"
};

axios.get(url, { params })
    .then(response => {
        console.log(response.data);
    })
    .catch(error => {
        console.error(`Request failed with status code ${error.response.status}`);
    });

```

{% endtab %}

{% tab title="PHP" %}

```php
<?php

$url = "https://api.makcorps.com/expedia?hotelid=1450057&currency=USD&rooms=1&adults=2&checkin=2025-12-10&checkout=2025-12-11&api_key=6576a85d9796563d73e34228401";

$ch = curl_init();

curl_setopt($ch, CURLOPT_URL, $url);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);

$response = curl_exec($ch);

if (curl_errno($ch)) {
    echo 'Request Error:' . curl_error($ch);
} else {
    $http_code = curl_getinfo($ch, CURLINFO_HTTP_CODE);
    if ($http_code == 200) {
        $response_data = json_decode($response, true);
        print_r($response_data);
    } else {
        echo "Request failed with status code " . $http_code;
    }
}

curl_close($ch);

?>

```

{% endtab %}
{% endtabs %}

### Response

```json
"price": {
                            "options": [
                              {
                                "leadingCaption": null,
                                "displayPrice": {
                                  "formatted": "$299",
                                  "__typename": "Money"
                                },
                                "priceDisclaimer": null,
                                "accessibilityLabel": "Price is $299",
                                "strikeOut": null,
                                "loyaltyPrice": null,
                                "priceHeaderDialog": null,
                                "__typename": "PropertyPriceOption",
                                "disclaimer": null
                              }
                            ],
                            "priceMessaging": null,
                            "__typename": "PropertyPrice",
                            "displayMessages": [
                              {
                                "lineItems": [
                                  {
                                    "__typename": "DisplayPrice",
                                    "role": "LEAD",
                                    "price": {
                                      "formatted": "$299",
                                      "accessibilityLabel": "The current price is $299",
                                      "__typename": "FormattedMoney"
                                    },
```
